Merge lp:~ourdelta-core/ourdelta/ourdelta-mysql-5.0.77-configtest into lp:~ourdelta-core/ourdelta/ourdelta-mysql-5.0.77

Proposed by Cafuego
Status: Merged
Merged at revision: not available
Proposed branch: lp:~ourdelta-core/ourdelta/ourdelta-mysql-5.0.77-configtest
Merge into: lp:~ourdelta-core/ourdelta/ourdelta-mysql-5.0.77
Diff against target: None lines
To merge this branch: bzr merge lp:~ourdelta-core/ourdelta/ourdelta-mysql-5.0.77-configtest
Reviewer Review Type Date Requested Status
Arjen Lentz Approve
Review via email: mp+4652@code.launchpad.net
To post a comment you must log in.
Revision history for this message
Cafuego (cafuego) wrote :

Configtest stuff

49. By Arjen Lentz

Merge from cafuego's configtest branch
(includes fixes for both general and debian)

Revision history for this message
Arjen Lentz (arjen-lentz) :
review: Approve

Preview Diff

[H/L] Next/Prev Comment, [J/K] Next/Prev File, [N/P] Next/Prev Hunk
=== added file '.bzrignore'
=== modified file 'bakery/debian-5.0/patches/00list'
--- bakery/debian-5.0/patches/00list 2008-10-21 00:58:43 +0000
+++ bakery/debian-5.0/patches/00list 2009-03-19 05:58:44 +0000
@@ -1,6 +1,7 @@
101_MAKEFILES__Docs_Images_Makefile.in.dpatch101_MAKEFILES__Docs_Images_Makefile.in.dpatch
201_MAKEFILES__Docs_Makefile.in.dpatch201_MAKEFILES__Docs_Makefile.in.dpatch
325_mysys__default.c.dpatch325_mysys__default.c.dpatch
435_init__openquery_configtest.dpatch
436_scripts__mysqld_safe.sh__percona_syslog_undo.dpatch536_scripts__mysqld_safe.sh__percona_syslog_undo.dpatch
537_scripts__mysqld_safe.sh__syslog.dpatch637_scripts__mysqld_safe.sh__syslog.dpatch
638_scripts__mysqld_safe.sh__signals.dpatch738_scripts__mysqld_safe.sh__signals.dpatch
78
=== added file 'bakery/debian-5.0/patches/35_init__openquery_configtest.dpatch'
--- bakery/debian-5.0/patches/35_init__openquery_configtest.dpatch 1970-01-01 00:00:00 +0000
+++ bakery/debian-5.0/patches/35_init__openquery_configtest.dpatch 2009-03-19 05:58:44 +0000
@@ -0,0 +1,33 @@
1#! /bin/sh /usr/share/dpatch/dpatch-run
2## 35_init__openquery_configtest.dpatch by <me@cafuego.net>
3##
4## All lines beginning with `## DP:' are a description of the patch.
5## DP: init__openquery_configtest.dpatch
6
7@DPATCH@
8
9--- old/debian/mysql-server-5.0.mysql.init.orig 2008-12-19 12:03:30.379898336 +1100
10+++ new/debian/mysql-server-5.0.mysql.init 2008-12-19 12:04:46.660451093 +1100
11@@ -182,8 +182,21 @@
12 fi
13 ;;
14
15+ 'configtest')
16+ log_daemon_msg "Testing MySQL configuration" "syntax"
17+ set +e
18+ help_out=`/usr/sbin/mysqld --help 2>&1`; r=$?
19+ set -e
20+ if [ "$r" -ne 0 ]; then
21+ log_failure_msg "$help_out"
22+ log_failure_msg "There are syntax errors in the server configuration. Please fix them!"
23+ fi
24+ log_end_msg $r
25+ exit $r
26+ ;;
27+
28 *)
29- echo "Usage: $SELF start|stop|restart|reload|force-reload|status"
30+ echo "Usage: $SELF start|stop|restart|reload|force-reload|status|configtest"
31 exit 1
32 ;;
33 esac
034
=== added directory 'mysql/5.0/ourdelta/configtest'
=== added file 'mysql/5.0/ourdelta/configtest/configtest.patch'
--- mysql/5.0/ourdelta/configtest/configtest.patch 1970-01-01 00:00:00 +0000
+++ mysql/5.0/ourdelta/configtest/configtest.patch 2009-03-19 05:58:44 +0000
@@ -0,0 +1,38 @@
1Index: mysql-5.0.77/support-files/mysql.server.sh
2===================================================================
3--- mysql-5.0.77.orig/support-files/mysql.server.sh
4+++ mysql-5.0.77/support-files/mysql.server.sh
5@@ -424,7 +424,32 @@ case "$mode" in
6 fi
7 fi
8 ;;
9- *)
10+ 'configtest')
11+ # Try to find the mysqld binary.
12+ echo $echo_n "Testing MySQL configuration syntax"
13+ if test -x $sbindir/mysqld
14+ then
15+ mysql_daemon=$sbindir/mysqld
16+ elif test -x $libexecdir/mysqld
17+ then
18+ mysql_daemon=$libexecdir/mysqld
19+ elif test -x `which mysqld`
20+ then
21+ mysql_daemon=`which mysqld`
22+ else
23+ log_failure_msg "Unable to locate the mysqld binary!"
24+ exit 1
25+ fi
26+ help_out=`$mysql_daemon --help 2>&1`; r=$?
27+ if test "$r" != 0 ; then
28+ log_failure_msg "$help_out"
29+ log_failure_msg "There are syntax errors in the server configuration. Please fix them!"
30+ else
31+ log_success_msg "Syntax OK"
32+ fi
33+ exit $r
34+ ;;
35+ *)
36 # usage
37 echo "Usage: $0 {start|stop|restart|reload|force-reload|status} [ MySQL server options ]"
38 exit 1
039
=== modified file 'mysql/5.0/patches-build-ourdelta'
--- mysql/5.0/patches-build-ourdelta 2009-03-18 06:35:34 +0000
+++ mysql/5.0/patches-build-ourdelta 2009-03-19 05:58:44 +0000
@@ -3,6 +3,7 @@
3#3#
4ourdelta/version/version.patch4ourdelta/version/version.patch
5ourdelta/mysql_install_db/mysql_install_db.patch5ourdelta/mysql_install_db/mysql_install_db.patch
6ourdelta/configtest/configtest.patch
6#7#
7percona_maintained/show_patches.patch8percona_maintained/show_patches.patch
8#9#

Subscribers

People subscribed via source and target branches

to all changes: